<?php
// Safetycheck that we are running within wordpress. Otherwise brutally die because it might some sort of
// an attack
defined('ABSPATH') or die;
$validationError=$_GET['error'];
if (isset($validationError) && $validationError != "validation")
{
    wp_die("Unerlaubter error Parameter übergeben");
}
?>
<div class="wrap">
    <h1>Freinet Online Suchkonfiguration erstellen</h1>
    <?php
    if($validationError)
    {
        ?>
        <div class="error notice">
            <p><?php _e('Entweder ist der Name der Suchkonfiguration leer oder enthält unerlaubte Zeichen. Bitte die erlaubten Zeichen beachten.', 'admin_post_freinet_portal_neue_suchkonfiguration'); ?></p>
        </div>
        <?php
    }
    ?>
    <form method="post" action="<?php echo esc_html(admin_url('admin-post.php')); ?>">
        <input type="hidden" name="action" value="freinet_portal_neue_suchkonfiguration"/>
        <div id="universal-message-container">
            <h2>Eine neue Suchkonfiguration anlegen</h2>
            <p>Mittels ›Suchkonfigurationen‹ können Sie das Plugin auf ihren Wordpress-Seiten mehrfach verwenden und (anhand der Einstellungen) verschiedene Engagement-Angebote ausgeben (z.B. auf einer Seite klassischen Engagements und auf einer anderen Seite Engagements, welche auf ein bestimmtes Projekt beschränkt sind)</p>

            <div class="options">
                <p>
                    <label for="suchkonfiguration_name">Wie soll die neue Suchkonfiguration heissen?</label>
                    <br/>
                    <input id="suchkonfiguration_name" type="text" name="suchkonfiguration_name" value="" required />
                </p>
                <small>Erlaubte Zeichen sind groß- und kleingeschriebene Buchstaben, Ziffern und Umlaute.</small>
            </div>
            <?php
            wp_nonce_field('freinet_portal_neue_suchkonfiguration');
            ?>
            <input type="submit" value="Neue Suchkonfiguration erstellen" class="button-primary"/>
    </form>
</div>