<?php
// Sicherheitscheck, ob diese Datei im Wordpresscontext läuft. Ansonsten wird die Verarbeitung abgebrochen.
defined('ABSPATH') or die;

?>
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.13/css/all.css" integrity="sha384-DNOHZ68U8hZfKXOrtjWvjxusGo9WQnrNx2sqG0tfsghAvtVlRW3tvkXWZh58N9jp" crossorigin="anonymous">
<article class="ym-form" itemscope itemtype="http://schema.org/JobPosting">
    <div class="AngebotAvatar" style="text-align: center"><?=$freinetAngebot->getDetailAngebotAvatarAsHTML() ?></div>
    <h1 class="angebot_main_titel" itemprop="title" title="Angebotsbezeichnung"><?=$freinetAngebot->getDetailAngebotName() ?></h1>

	<?php
	$Beschreibung=$freinetAngebot->getDetailAngebotBeschreibungAsHTML();
	if($Beschreibung!='')
	{
		freinet_portal_Template('DetailZweilZeilig', $titel='Beschreibung', $content=$Beschreibung, $id='DetailBeschreibung', $class='', $hide_if_empty=1);
	} ?>

	<?php
	$Leistungen=$freinetAngebot->getDetailLeistungenAsHTML();
	if($Leistungen!='')
	{
		freinet_portal_Template('DetailZweiSpaltig', $titel='Leistungen', $content=$Leistungen, $id='DetailLeistungen', $class='', $hide_if_empty=1);
	} ?>

	<?php
	$Anforderungen=$freinetAngebot->getDetailAnforderungenAsHTML();
	if($Anforderungen!='')
	{
		freinet_portal_Template('DetailZweiSpaltig', $titel='Anforderungen', $content=$Anforderungen, $id='DetailAnforderungen', $class='', $hide_if_empty=1);
	} ?>

	<?php
	freinet_portal_Template('DetailZweiSpaltig', $titel='Handlungsfelder', $content=$freinetAngebot->getDetailHandlungsfelderAsHtml(), $id='DetailHandlungsfelder', $class='', $hide_if_empty=1);
	freinet_portal_Template('DetailZweiSpaltig', $titel='Arbeitsweise', $content=$freinetAngebot->getDetailArbeitsweiseAsHtml(), $id='DetailArbeitsweise', $class='', $hide_if_empty=1);
	freinet_portal_Template('DetailZweiSpaltig', $titel='Globalbereiche', $content=$freinetAngebot->getDetailGlobalbereicheAsHtml(), $id='DetailGlobalbereiche', $class='', $hide_if_empty=1);
	freinet_portal_Template('DetailZweiSpaltig', $titel='Barrierefreiheit', $content=$freinetAngebot->getDetailBarrierefreiheit(), $id='DetailBarrierefreiheit', $class='', $hide_if_empty=1);
	freinet_portal_Template('DetailZweiSpaltig', $titel='Zeitlicher Rahmen', $content=$freinetAngebot->getDetailZeitlicherRahmen(), $id='DetailZeitlicherRahmen', $class='', $hide_if_empty=1);
	freinet_portal_Template('DetailZweiSpaltig', $titel='Status des Angebotes', $content=$freinetAngebot->getDetailAngebotStatus(), $id='DetailStatus', $class='', $hide_if_empty=1);
	?>


	<?php
	$AnzahlGesuche=$freinetAngebot->getDetailAnzahlGesuche();
	if($AnzahlGesuche>0)
	{
		freinet_portal_Template('DetailZweiSpaltig', $titel='Anzahl der Stellen', $content=$AnzahlGesuche, $id='DetailAnzahlAnzahlGesuche', $class='', $hide_if_empty=1);
	} ?>

	<?php
	$AnzahlAktuellerVermittlungen=$freinetAngebot->getDetailAnzahlAktuellerVermittlungenAsHTML();
	if($AnzahlAktuellerVermittlungen>0)
	{
		freinet_portal_Template('DetailZweiSpaltig', $titel='Aktive Vermittlungen', $content=$AnzahlAktuellerVermittlungen, $id='DetailAnzahlAktuellerVermittlungen', $class='', $hide_if_empty=1);
	}
	?>
	<?php
	$FreieStellen=$freinetAngebot->getDetailFreieStellen();
	if($FreieStellen>0)
	{
		freinet_portal_Template('DetailZweiSpaltig', $titel='Freie Stellen', $content=$FreieStellen, $id='DetailFreieStellen', $class='', $hide_if_empty=1);
		// AnmeldeLink
		freinet_portal_Template('DetailZweiSpaltig', $titel='Anmeldung zum Angebot', $content=$freinetAngebot->getDetailAnmeldungErlaubtAsHTML(), $id='DetailAnmeldung', $class='', $hide_if_empty=0);
	} ?>

	<?php
	// Wenn das Angebot Kontaktierbar ist
	if($freinetAngebot->getDetailAngebotsKontaktierbarbkeit()==1)
	{
	    if($freinetAngebot->AngebotHasAddress()==1)
		{
			echo '<h3 class="contact_titel">Kontakt zum Angebot</h3>';
			echo '<div class="contact_description">Nehmen Sie Kontakt zum Angebot auf, um weitere Informationen zu bekommen.</div>';
			freinet_portal_Template('DetailZweiSpaltig', $titel='Kontaktdaten', $content=$freinetAngebot->getDetailAngebotKontaktdatenAsHTML(), $id='DetailKontaktdaten', $class='', $hide_if_empty=1);
			freinet_portal_Template('DetailZweiSpaltig', $titel='Anschrift', $content=$freinetAngebot->getDetailAngebotAnschriftAsHTML(), $id='DetailAnschrift', $class='', $hide_if_empty=1);
			freinet_portal_Template('DetailZweiSpaltig', $titel='Sprech- / Öffnungszeiten', $content=$freinetAngebot->getDetailAngebotSprechzeitenAsHTML(), $id='DetailSprechzeiten', $class='', $hide_if_empty=1);
			echo $freinetAngebot->getDetailAngebotMapAsHTML();
		}
		elseif($freinetAngebot->EinrichtungHasAddress()==1)
        {
			echo '<h3 class="contact_titel">Kontakt zur Einrichtung</h3>';
			echo '<div class="contact_description">Nehmen Sie Kontakt zur Einrichtung auf, um weitere Informationen zu diesem Angebot zu bekommen</div>';
			freinet_portal_Template('DetailZweiSpaltig', $titel='Einrichtungsname', $content=$freinetAngebot->getDetailEinrichtungName(), $id='DetailEinrichtungname', $class='', $hide_if_empty=1);
			freinet_portal_Template('DetailZweiSpaltig', $titel='Kontaktdaten', $content=$freinetAngebot->getDetailEinrichtungKontaktdatenAsHTML(), $id='DetailKontaktdaten', $class='', $hide_if_empty=1);
			freinet_portal_Template('DetailZweiSpaltig', $titel='Anschrift', $content=$freinetAngebot->getDetailEinrichtungAnschriftAsHTML(), $id='DetailAnschrift', $class='', $hide_if_empty=1);
			freinet_portal_Template('DetailZweilZeilig', $titel='Beschreibung', $content=$freinetAngebot->getDetailEinrichtungBeschreibungAsHTML(), $id='DetailBeschreibung', $class='', $hide_if_empty=1);
			freinet_portal_Template('DetailZweiSpaltig', $titel='Sprech- / Öffnungszeiten', $content=$freinetAngebot->getDetailEinrichtungSprechzeitenAsHTML(), $id='DetailSprechzeiten', $class='', $hide_if_empty=1);
			echo $freinetAngebot->getDetailEinrichtungMapAsHTML();
        }
        elseif($freinetAngebot->AgenturHasAddress()==1)
        {
			echo '<h3 class="contact_titel">Kontakt zu Uns, der Freiwilligenagentur</h3>';
			echo '<div class="contact_description">Nehmen Sie Kontakt zur Agentur auf, um weitere Informationen zu diesem Angebot zu bekommen.</div>';
			echo '<h4 itemprop="hiringOrganization" title="Agenturtitel">'.$freinetAngebot->getDetailAgenturName().'</h4>';
			freinet_portal_Template('DetailZweiSpaltig', $titel='Kontaktdaten', $content=$freinetAngebot->getDetailAgenturKontaktdatenAsHTML(), $id='DetailKontaktdaten', $class='', $hide_if_empty=1);
			freinet_portal_Template('DetailZweiSpaltig', $titel='Anschrift', $content=$freinetAngebot->getDetailAgenturAnschriftAsHTML(), $id='DetailAnschrift', $class='', $hide_if_empty=1);
			freinet_portal_Template('DetailZweilZeilig', $titel='Beschreibung', $content=$freinetAngebot->getDetailAgenturBeschreibungAsHTML(), $id='DetailBeschreibung', $class='', $hide_if_empty=1);
			freinet_portal_Template('DetailZweiSpaltig', $titel='Sprech- / Öffnungszeiten', $content=$freinetAngebot->getDetailAgenturSprechzeitenAsHTML(), $id='DetailSprechzeiten', $class='', $hide_if_empty=1);
			echo $freinetAngebot->getDetailAgenturMapAsHTML();
        }
		
		// Kurzzeitig alle Felder anzeigen - unabhaengig vom Kontaktierstatus
		echo '<h3 class="contact_titel">Kontakt zur Einrichtung</h3>';
		echo '<div class="contact_description">Nehmen Sie Kontakt zur Einrichtung auf, um weitere Informationen zu diesem Angebot zu bekommen</div>';
		freinet_portal_Template('DetailZweiSpaltig', $titel='Einrichtungsname', $content=$freinetAngebot->getDetailEinrichtungName(), $id='DetailEinrichtungname', $class='', $hide_if_empty=1);
		echo '<div class="EinrichtungAvatar" style="text-align: center">'.$freinetAngebot->getDetailEinrichtungAvatarAsHTML().'</div>';
		echo '<div class="EinrichtungLogo" style="text-align: center">'.$freinetAngebot->getDetailEinrichtungLogoAsHTML().'</div>';
		freinet_portal_Template('DetailZweiSpaltig', $titel='Kontaktdaten', $content=$freinetAngebot->getDetailEinrichtungKontaktdatenAsHTML(), $id='DetailKontaktdaten', $class='', $hide_if_empty=1);
		freinet_portal_Template('DetailZweiSpaltig', $titel='Anschrift', $content=$freinetAngebot->getDetailEinrichtungAnschriftAsHTML(), $id='DetailAnschrift', $class='', $hide_if_empty=1);
		freinet_portal_Template('DetailZweilZeilig', $titel='Beschreibung', $content=$freinetAngebot->getDetailEinrichtungBeschreibungAsHTML(), $id='DetailBeschreibung', $class='', $hide_if_empty=1);
		freinet_portal_Template('DetailZweiSpaltig', $titel='Sprech- / Öffnungszeiten', $content=$freinetAngebot->getDetailEinrichtungSprechzeitenAsHTML(), $id='DetailSprechzeiten', $class='', $hide_if_empty=1);
		echo $freinetAngebot->getDetailEinrichtungMapAsHTML();


	}
	else
	{
		freinet_portal_Template('DetailZweiSpaltig', $titel='Einsatzort', $content=$freinetAngebot->getDetailPlzOrtAsHTML(), $id='DetailEinsatzort', $class='', $hide_if_empty=1);
	}
	?>

    <?
    // Informationen zur Agentur

	// Kurzzeitig alle Felder anzeigen - unabhaengig vom Kontaktierstatus
	echo '<h3 class="contact_titel">Kontakt zu Uns, der Freiwilligenagentur</h3>';
	echo '<div class="contact_description">Nehmen Sie Kontakt zur Agentur auf, um weitere Informationen zu diesem Angebot zu bekommen</div>';
	echo '<h4 itemprop="hiringOrganization" title="Agenturtitel">'.$freinetAngebot->getDetailAgenturName().'</h4>';
	echo '<div class="AgenturAvatar" style="text-align: center">'.$freinetAngebot->getDetailAgenturAvatarAsHTML().'</div>';
	echo '<div class="AgenturLogo" style="text-align: center">'.$freinetAngebot->getDetailAgenturLogoAsHTML().'</div>';
	freinet_portal_Template('DetailZweiSpaltig', $titel='Kontaktdaten', $content=$freinetAngebot->getDetailAgenturKontaktdatenAsHTML(), $id='DetailKontaktdaten', $class='', $hide_if_empty=1);
	freinet_portal_Template('DetailZweiSpaltig', $titel='Anschrift', $content=$freinetAngebot->getDetailAgenturAnschriftAsHTML(), $id='DetailAnschrift', $class='', $hide_if_empty=1);
	freinet_portal_Template('DetailZweilZeilig', $titel='Beschreibung', $content=$freinetAngebot->getDetailAgenturBeschreibungAsHTML(), $id='DetailBeschreibung', $class='', $hide_if_empty=1);
	freinet_portal_Template('DetailZweiSpaltig', $titel='Sprech- / Öffnungszeiten', $content=$freinetAngebot->getDetailAgenturSprechzeitenAsHTML(), $id='DetailSprechzeiten', $class='', $hide_if_empty=1);
	echo $freinetAngebot->getDetailAgenturMapAsHTML();
    ?>

    <!-- hidden schema.org Jobposting Values -->
    <div style="display: none">
        <span itemprop="baseSalary">ggf. Aufwandsentschädigung</span>
        <span itemprop="employmentType">Ehrenamt</span>
        <span itemprop="validThrough"><?=date('Y-m-d', strtotime('+2 month')); ?></span>
    </div>

    <div style="text-align: center">Erstellt <?=$freinetAngebot->getDetailAngebotErstelltAsHTML(); ?> | Bearbeitet <?=$freinetAngebot->getDetailAngebotBearbeitetAsHTML(); ?></div>

</article>

<div class="DetailBacklink">
    <a href="<?php
	$freinetBackToSearchUrl=remove_query_arg(array(
												 'freinet_portal_wp_action',
												 'freinet_portal_wp_angebot_nummer'
											 ));
	$freinetBackToSearchUrl=add_query_arg(array(
											  'freinet_portal_wp_action'=>'Suchen'
										  ), $freinetBackToSearchUrl);
	echo $freinetBackToSearchUrl
	?>">Zurück zur Suche</a>
</div>
<?php
// echo $freinetAngebot->getDetailAlleParameterAsHTML(); // unkommentieren, um alle Felder zu sehen
?>