<?php
// Sicherheitscheck, ob diese Datei im Wordpresscontext läuft. Ansonsten wird die Verarbeitung abgebrochen.
defined('ABSPATH') or die;

?>
<!-- OfferElement -->
<h4>Es werden <?= $freinetAngebote->getAnzahlErgebnisse() ?> von <?= $freinetAngebote->getGesamtAnzahlErgebnisse() ?> Treffer(n) angezeigt </h4>
<?= $formElements['pagingButtonRow'] ?>
<?php
foreach ($freinetAngebote->getAngebote() as $angebot) {
    ?>
    <article class="offer_element" itemscope itemtype="http://schema.org/Product">
        <h3 title="Titel des Angebotes" class="titel" itemprop="name">
            <span class="productID" itemprop="productID" style="float:right" title="Chiffre">(#<?= $angebot->getAngebotsId() ?>)</span>
            <a title="Detailansicht des Angebotes Nr <?= $angebot->getAngebotsId() ?>, <?= $angebot->getAngebotName() ?>"
               href="<?= $angebot->anzeigeLink($searchParams) ?>">
                <?= $angebot->getAngebotName() ?>
            </a>
        </h3>
        <div itemprop="address" class="einsatzort" title="Einsatzort"><span itemprop="postalCode"><?=$angebot->getAngebotsPLZ() ?></span> <span itemprop="addressLocality"><?=$angebot->getAngebotsOrt() ?></span></div>
		<?
        // Wenn das Angebot kontaktierbar ist, darf auch der Name der Einrichtung angezeigt werden.
        // Änderungen sollten mit dem Kunden abgesprochen werden
        if($angebot->getAngebotsKontaktierbarkeit()==1) { ?>
        <div itemprop="brand" title="Name der Einrichtung" class="einrichtung_titel">
            von: <?= $angebot->getEinrichtungName() ?>
        </div>
        <? } ?>
        <div itemprop="brand" title="Name der Agentur Nr <?= $angebot->getAgenturId() ?>" class="agentur_titel">
            präsentiert von ›<?= $angebot->getAgenturName() ?>‹
        </div>
        <div itemprop="description" class="kurz" title="Kurzbeschreibung"><span class="avatar_span"><?=$angebot->getAngebotsAvatarAsHTML() ?></span>

            <span style="float:right" class="rating">

                <?php
                for ($freinetI = 1; $freinetI <= $angebot->getWertigkeit(); $freinetI++)
                {
                    echo "<span>☆</span>";
                }

                ?>
            </span><?= $angebot->getKurzBeschreibung() ?>
            <a itemprop="url" title="Detailansicht des Angebotes Nr <?= $angebot->getAngebotsId() ?>, <?= $angebot->getAngebotName() ?>" href="<?= $angebot->anzeigeLink($searchParams) ?>"> mehr dazu &#187; </a>
        </div>
    </article>

    <?php
}
?>
<?= $formElements['pagingButtonRow'] ?>
